Index: /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh
===================================================================
--- /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh	(revision 301)
+++ /trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./SimpleFleet_rt
+else
+	EXEC=./SimpleFleet_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC -n x8_1 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu1 -b 127.255.255.255:20010 -d 21000
Index: /trunk/demos/Sinus/CMakeLists.txt
===================================================================
--- /trunk/demos/Sinus/CMakeLists.txt	(revision 300)
+++ /trunk/demos/Sinus/CMakeLists.txt	(revision 301)
@@ -4,4 +4,5 @@
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
+SET(COPY_RESOURCE_FILES true)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
Index: /trunk/demos/Sinus/resources/armv5te/Sinus.sh
===================================================================
--- /trunk/demos/Sinus/resources/armv5te/Sinus.sh	(revision 301)
+++ /trunk/demos/Sinus/resources/armv5te/Sinus.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Sinus_rt
+else
+	EXEC=./Sinus_nrt
+fi
+
+$EXEC  -a ${1}
+
Index: /trunk/demos/Sinus/resources/armv7a-neon/Sinus.sh
===================================================================
--- /trunk/demos/Sinus/resources/armv7a-neon/Sinus.sh	(revision 301)
+++ /trunk/demos/Sinus/resources/armv7a-neon/Sinus.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Sinus_rt
+else
+	EXEC=./Sinus_nrt
+fi
+
+$EXEC  -a ${1}
+
Index: /trunk/demos/Sinus/resources/core2-64/Sinus.sh
===================================================================
--- /trunk/demos/Sinus/resources/core2-64/Sinus.sh	(revision 301)
+++ /trunk/demos/Sinus/resources/core2-64/Sinus.sh	(revision 301)
@@ -0,0 +1,11 @@
+#! /bin/bash
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Sinus_rt
+else
+	EXEC=./Sinus_nrt
+fi
+
+. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+
+$EXEC
+
Index: /trunk/demos/Sinus/resources/cortexa7thf-neon-vfpv4/Sinus.sh
===================================================================
--- /trunk/demos/Sinus/resources/cortexa7thf-neon-vfpv4/Sinus.sh	(revision 301)
+++ /trunk/demos/Sinus/resources/cortexa7thf-neon-vfpv4/Sinus.sh	(revision 301)
@@ -0,0 +1,10 @@
+#! /bin/bash
+
+if [ -f /proc/xenomai/version ];then
+	EXEC=./Sinus_rt
+else
+	EXEC=./Sinus_nrt
+fi
+
+$EXEC  -a ${1}
+
